QGIS Application - Feature request #3928
Case sensitivity checkbox
2006-03-26 05:26 AM - balazovic-mailbox-sk -

Status: Closed

Priority: Low

Assignee: Martin Dobias

Category: GUI

Pull Request or Patch supplied: Resolution: fixed
Easy fix?: No Copied to github as #: 13952
Description

It would be nice to have a case sensitivity checkbox in Search strings interface (at bottom of the attribute table).

History

#1 - 2008-07-15 12:02 AM - Tim Sutton

Since space is tight in that area, perhaps this is better done in the advanced search dialog?

#2 - 2009-03-24 04:02 AM - Paolo Cavallini

| agree this is an useful improvement, and it appears trivial to fix: can someone deal with it?

#3 - 2009-03-24 05:55 AM - Martin Dobias

The implementation itself should be indeed simple, there's just a Ul design decision needed - whether to put it directly to the attribute table (and where) or
whether to put it into advanced search only....

martin

#4 - 2009-03-24 06:39 AM - Tim Sutton

Note that | have uncommitted changes to the table Ul so please hold off making changes until they are committed. | will add a case senstitivity box in the

process.

Tim

#5 - 2009-06-26 11:09 AM - Paolo Cavallini

Can we fix this now? Thanks.

#6 - 2010-09-15 12:49 AM - luca76 -

| made a patch for #3928:
- Added a "Case sensitive" combo box in the "attribute table dialog box"
- | removed the "record" word in the other two combo boxes (it's already
clear that they are referring to the records...)
- One string to be translated ("Case sensitive")

- | substituted the "=" query operator with "LIKE"/"ILIKE" operator

#7 - 2010-09-16 03:53 PM - Tim Sutton

- Resolution set to fixed

- Status changed from Open to Closed

Applied patch as commit:e9f245d8 (SVN r14242) - many thanks!

Regards

Tim

Files

patch-25.diff 2.55 KB
